Package org.apache.storm.stats

## Class BoltExecutorStats

- java.lang.Object
- - org.apache.storm.stats.CommonStats
  - - org.apache.storm.stats.BoltExecutorStats

-     public class BoltExecutorStats
      extends CommonStats

- - ### Field Summary

    - ### Fields inherited from class org.apache.storm.stats.CommonStats

      `rate`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BoltExecutorStats​(int rate, int numStatBuckets)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `boltAckedTuple​(String component, String stream, long latencyMs)` |
    `void` | `boltExecuteTuple​(String component, String stream, long latencyMs, long workerUptimeSecs, Task firstExecutorTask)` |
    `void` | `boltFailedTuple​(String component, String stream)` |
    `void` | `cleanupStats()` |
    `MultiCountStat` | `getExecuted()` |
    `MultiLatencyStat` | `getExecuteLatencies()` |
    `MultiLatencyStat` | `getProcessLatencies()` |
    `ExecutorStats` | `renderStats()` |

    - ### Methods inherited from class org.apache.storm.stats.CommonStats

      `emittedTuple, getAcked, getEmitted, getFailed, getRate, getTransferred, transferredTuples, valueStat, valueStat`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoltExecutorStats

          public BoltExecutorStats​(int rate,
                                   int numStatBuckets)

  - ### Method Detail

    - #### getExecuted

          public MultiCountStat getExecuted()

    - #### getProcessLatencies

          public MultiLatencyStat getProcessLatencies()

    - #### getExecuteLatencies

          public MultiLatencyStat getExecuteLatencies()

    - #### cleanupStats

          public void cleanupStats()

      Overrides:
        `cleanupStats` in class `CommonStats`

    - #### boltExecuteTuple

          public void boltExecuteTuple​(String component,
                                       String stream,
                                       long latencyMs,
                                       long workerUptimeSecs,
                                       Task firstExecutorTask)

    - #### boltAckedTuple

          public void boltAckedTuple​(String component,
                                     String stream,
                                     long latencyMs)

    - #### boltFailedTuple

          public void boltFailedTuple​(String component,
                                      String stream)

    - #### renderStats

          public ExecutorStats renderStats()

      Specified by:
        `renderStats` in class `CommonStats`